## NAME

r.mapcalculator - Calculate new raster map from a r.mapcalc expression.

## KEYWORDS

## SYNOPSIS

r.mapcalculator
r.mapcalculator help
r.mapcalculator [-eo] [amap=string] [bmap=string] [cmap=string] [dmap=string] [emap=string] [fmap=string] formula=string outfile=string [help=string] [--overwrite] [--verbose] [--quiet]

### Flags:

-e
  Expert mode (enter a set of r.mapcalc expressions)
-o
  Do not overwrite existing map
--overwrite
  Allow output files to overwrite existing files
--verbose
  Verbose module output
--quiet
  Quiet module output

### Parameters:

amap=string
  A
bmap=string
  B
cmap=string
  C
dmap=string
  D
emap=string
  E
fmap=string
  F
formula=string
  Formula (e.g. A-B or A*C+B)
outfile=string
  Name for output raster map
help=string
  Show help
  Options: -,help,man
  Default: -

## DESCRIPTION

r.mapcalculator provides a GUI frontend to r.mapcalc. Up to 5 maps can be combined using simple expressions. In the expert mode, it runs r.mapcalc for more complex expressions. Enter an r.mapcalc expression in the formula field using the format: A+C or exp(A+C)+(B-2)*7 where A, B, C are raster maps entered in the A field, B field, and C field.

Do not enter output file in the formula field: correct: A+B; incorrect: newfile = A+B. Use no spaces or blanks.

Expert mode runs r.mapcalc for more complex expressions.

## SEE ALSO

r.mapcalc

## AUTHOR

R. Brunzema (r.brunzema@web.de)
Updated to GRASS 5.7 by Michael Barton, Arizona State University

Last changed: $Date: 2011-11-08 10:42:51 +0100 (út, 08 XI 2011) $

Main index - raster index - Full index

© 2003-2014 GRASS Development Team